
namespace eval ::sambautils:: {
}

# First element is name, next element is value
# Spaces in the name are turned into _
# Thus hosts list turns into hosts_list

proc ::sambautils::getElements {data} {
    set name {}
    set value {}
    regexp {^([^=]*)=(.*)} [string trim $data] result name value
    regsub -all " " [string trim $name] "_" result
    return [list $result [string trim $value]]
}